% setupFaces.m
% script that loads full and cropped versions of images of the faces of
% some famous Wellesley alums, and displays the "known" faces and "unknown" 
% faces (to be recognized) in separate figure windows

% load all the face images into the MATLAB workspace
load faceImages.mat

% store face images, cropped face images, and names, in cell arrays
faceIms = {sawyer, soong, melroy, bolin, clinton, albright};
faceCrops = {sawyerCrop, soongCrop, melroyCrop, bolinCrop, clintonCrop, albrightCrop};
names = {'Diane Sawyer', 'Soong Mei-Ling', 'Pamela Melroy', 'Jane Bolin', ...
         'Hillary Clinton', 'Madeleine Albright'};
namesMX = {'sawyer', 'soong', 'melroy', 'bolin', 'clinton', 'albright'};
newIms = {face1, face2, face3, face4, face5, face6};
newCrops = {face1crop, face2crop, face3crop, face4crop, face5crop, face6crop, ...
            face7crop, face8crop, face9crop, face10crop, face11crop, face12crop};
newNames = {'Madeleine Albright', 'Jane Bolin', 'Hillary Clinton', 'Soong Mei-Ling', ...
            'Pamela Melroy', 'Diane Sawyer', 'Madeleine Albright', 'Jane Bolin', ...
            'Hillary Clinton', 'Soong Mei-Ling', 'Pamela Melroy', 'Diane Sawyer'};
newNamesMX = {'face1', 'face2', 'face3', 'face4', 'face5', 'face6', 'face7', ...
            'face8', 'face9', 'face10', 'face11', 'face12'};

% use subplot to display the known face images (full and cropped) in a 
% 2 x 6 arrangement
figure('Position', [50 100 800 350])
for i = 1:6
    subplot(2,6,i)
    imshow(faceIms{i},[0 255])
    title(namesMX{i})
    subplot(2,6,i+6)
    imshow(faceCrops{i},[0 255])
    title([namesMX{i} 'Crop'])
end

% use subplot to display the unknown face images (full and cropped) in a 
% 3 x 6 arrangement
figure('Position', [100 100 800 500])
for i = 1:6
    subplot(3,6,i)
    imshow(newIms{i},[0 255])
    title(newNamesMX{i})
    subplot(3,6,i+6)
    imshow(newCrops{i},[0 255])
    title([newNamesMX{i} 'crop'])
    subplot(3,6,i+12)
    imshow(newCrops{i+6},[0 255])
    title([newNamesMX{i+6} 'crop'])
end